commit:     318b154b018c2236f7c4c9e9f7d965485fb54ea0
Author:     Ulrich Müller <ulm <AT> gentoo <DOT> org>
AuthorDate: Fri May  6 13:10:14 2016 +0000
Commit:     Ulrich Müller <ulm <AT> gentoo <DOT> org>
CommitDate: Fri May  6 13:10:14 2016 +0000
URL:        https://gitweb.gentoo.org/proj/emacs-tools.git/commit/?id=318b154b

Update shebang line for new OpenRC versions.

* emacs.rc: Update shebang line to /sbin/openrc-run which is used
by new OpenRC versions.

 ChangeLog     | 5 +++++
 emacs-stop.sh | 4 ++--
 emacs.conf    | 2 +-
 emacs.rc      | 2 +-
 4 files changed, 9 insertions(+), 4 deletions(-)

diff --git a/ChangeLog b/ChangeLog
index 6e53e42..6e5a605 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,8 @@
+2016-05-06  Ulrich Müller  <[email protected]>
+
+       * emacs.rc: Update shebang line to /sbin/openrc-run which is used
+       by new OpenRC versions.
+
 2014-02-02  Ulrich Müller  <[email protected]>
 
        * Version 0.21 released.

diff --git a/emacs-stop.sh b/emacs-stop.sh
index 574230d..0577359 100644
--- a/emacs-stop.sh
+++ b/emacs-stop.sh
@@ -20,6 +20,6 @@ done
 echo "${0##*/}: timeout waiting for emacsclient" >&2
 kill ${pid} 2>/dev/null
 
-# exit 0: runscript shall continue and (forcibly) kill the emacs process
-# exit 1: runscript shall exit with an error
+# exit 0: openrc-run shall continue and (forcibly) kill the emacs process
+# exit 1: openrc-run shall exit with an error
 exit 0

diff --git a/emacs.conf b/emacs.conf
index 4c7549c..b6303d8 100644
--- a/emacs.conf
+++ b/emacs.conf
@@ -1,5 +1,5 @@
 # /etc/conf.d/emacs: config file for /etc/init.d/emacs.<user>
-# This can also be used as multiplexed configuration, i.e. runscript
+# This can also be used as multiplexed configuration, i.e. openrc-run
 # looks for both /etc/conf.d/emacs and /etc/conf.d/emacs.<user>.
 
 # Absolute path to the emacs and emacsclient binaries

diff --git a/emacs.rc b/emacs.rc
index 651255d..9fffe02 100644
--- a/emacs.rc
+++ b/emacs.rc
@@ -1,4 +1,4 @@
-#!/sbin/runscript
+#!/sbin/openrc-run
 # Copyright 2008-2016 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2 or later
 

Reply via email to